/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package admincommands;

import com.aionemu.gameserver.model.gameobjects.VisibleObject;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.luna.LunaEn;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.AdminCommand;


/**
 * @author 81002
 */
public class AddLuna extends AdminCommand {

	/**
	 * @param alias
	 */
	public AddLuna() {
		super("addluna");
	}
	
	@Override
	public void execute(Player admin, String... params) {
		if (params.length != 1) {
			PacketSendUtility.sendMessage(admin, "syntax: //addluna <point>");
			return;
		}
		
		VisibleObject target = admin.getTarget();

		if (!(target instanceof Player)) {
			target = admin;
		}
		
		Player targetPlayer = (Player) target;
		
		try {
			long point = Integer.parseInt(params[0]);
			LunaEn.getInstance().addLuna(targetPlayer, point);
		}
		catch (NumberFormatException e) {
			PacketSendUtility.sendMessage(admin, "Occurs an error.");
		}
	}
}
