/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.model.Race;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.spawns.SpawnTemplate;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.services.custom.EventType;
import com.aionemu.gameserver.spawnengine.SpawnEngine;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author zxl001
 */
@AIName("customuseitem")
public class CustomItemNpcAI2 extends NpcAI2 {
	
	int[] boxs = new int[] {};
	
	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 10));
	}
	
	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		if (dialogId == 10000) {
			if (player.getEventInfo().checkCount(EventType.Event_Box)) {
				int npc_id = 701480;
				if (player.getRace() == Race.ASMODIANS)
					npc_id = 701485;
				SpawnTemplate template = SpawnEngine.addNewSingleTimeSpawn(player.getWorldId(), npc_id, player.getX(), player.getY(), player.getZ(), (byte)0);
				SpawnEngine.spawnObject(template, 1);
				player.getEventInfo().AddCount(EventType.Event_Box);
				PacketSendUtility.sendMessage(player, "[͸] Ѳ " + player.getEventInfo().getCount(EventType.Event_Box) + "/" + EventType.Event_Box.getCount() + "");
			}
			else {
				PacketSendUtility.sendMessage(player, "[͸] մ! ÿ߲" + EventType.Event_Box.getCount());
			}
		}
		return true;
	}
}
