/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author zxl001
 * 自定义传送npc功能AI
 * 天族传送
 */
@AIName("ely_custom_portal")
public class ElyCustomTeleport extends NpcAI2 {

	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 10));
	}

	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		switch (dialogId) {
			case 10000:
				return TeleportService2.teleportTo(player, 300170000, 1476.9398f, 237.39413f, 243.53497f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10001:
				return TeleportService2.teleportTo(player, 300280000, 620.26917f, 690.9005f, 157.92094f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10002:
				return TeleportService2.teleportTo(player, 300040000, 1210.0369f, 407.7237f, 139.08011f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10003:
				return TeleportService2.teleportTo(player, 600040000, 754.90155f, 103.86287f, 1196.8096f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10004:
				return TeleportService2.teleportTo(player, 600010000, 627.84503f, 477.89935f, 324.01263f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
		}
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), dialogId));
		return false;
	}
}
