/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.excellent.Excellent;
import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.services.item.ItemPacketService;
import com.aionemu.gameserver.utils.PacketSendUtility;

import ai.GeneralNpcAI2;

/**
 * @author zxl001
 */
@AIName("regeneration")
public class RegenerationAI2 extends GeneralNpcAI2 {

	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 10));
	}
	
	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		Item item = null;
		switch (dialogId) {
			case 10000:
				item = player.getEquipment().getMainHandWeapon();
				if (item == null)
					item = player.getEquipment().getComboWeapon();
				break;
			case 10001:
				item = player.getEquipment().getOffHandWeapon();
				break;
			case 10002:
				item = player.getEquipment().getTorsoItem();
				break;
			case 10003:
				item = player.getEquipment().getShoulderItem();
				break;
			case 10004:
				item = player.getEquipment().getPantsItem();
				break;
			case 10005:
				item = player.getEquipment().getGlovesItem();
				break;
			case 10006:
				item =player.getEquipment().getBootsItem();
				break;
			default:
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), dialogId));
				return true;
		}
		
		if (item != null && item.getExcellent() != null) {
			PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 1693));
			return false;
		}
		
		Excellent excellent = new Excellent(item);
		item.setExcellent(excellent);
		ItemPacketService.updateItemAfterInfoChange(player, item);
		return true;
	}
}
