/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom.legion;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.instance.handlers.InstanceHandler;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.services.custom.LegionInstanceService;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author 81002
 */
@AIName("custom_legion_event_start")
public class EventStartAI2 extends NpcAI2 {

	@Override
	protected void handleDialogStart(Player player) {
		if (!player.getLegionMember().isBrigadeGeneral()) {
			PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 10));
			return;
		}
		else if (!LegionInstanceService.getInstance().IsStartEvent(player.getLegion().getLegionId())) {
			PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 1011));
			return;
		}
	}
	
	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		switch(lastPage) {
			case 1011:
				if (dialogId == 10000) {
					InstanceHandler handler = getPosition().getWorldMapInstance().getInstanceHandler();
					handler.onCustomEventHandler(810, player);
					getOwner().getController().delete();
				}
		}
		return true;
	}
}
