/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.Instance302100000;

import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.instance.handlers.InstanceHandler;
import com.aionemu.gameserver.model.gameobjects.Creature;
import com.aionemu.gameserver.model.gameobjects.player.Player;

/**
 * @author 81002
 */
@AIName("incarnation")
public class IncarnationAI2 extends NpcAI2 {

	@Override
	protected void handleCreatureMoved(Creature creature) {
		tryActivate(creature);
	}

	/**
	 * @param creature
	 */
	private void tryActivate(Creature creature) {
		if (creature instanceof Player) {
			if (isInRange(creature, 15)) {
				InstanceHandler handler = getPosition().getWorldMapInstance().getInstanceHandler();
				handler.onCustomEventHandler(getNpcId(), new Object[0]);
				AI2Actions.deleteOwner(this);
			}
		}
	}
}
