/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.luna;

import ai.GeneralNpcAI2;

import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author 81002
 */
@AIName("luna_defense")
public class LunaDefenseTurrets extends GeneralNpcAI2 {
	
	@Override
	protected void handleDialogStart(Player player) {
		super.handleDialogStart(player);
	}
	
	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		if (dialogId == 10000) {
			if (player.getInventory().decreaseByItemId(182007405, 1)) {
				spawn(getOwner().getWorldId(), 833808, getOwner().getX(), getOwner().getY(), getOwner().getZ(), (byte)0, 0, getOwner().getInstanceId());
				AI2Actions.deleteOwner(this);
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
			}
			return true;
		}
		else if (dialogId == 10001) {
			if (player.getInventory().decreaseByItemId(182007405, 2)) {
				spawn(getOwner().getWorldId(), 833809, getOwner().getX(), getOwner().getY(), getOwner().getZ(), (byte)0, 0, getOwner().getInstanceId());
				AI2Actions.deleteOwner(this);
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
			}
			return true;
		}
		else if (dialogId == 10002) {
			if (player.getInventory().decreaseByItemId(182007405, 2)) {
				spawn(getOwner().getWorldId(), 833810, getOwner().getX(), getOwner().getY(), getOwner().getZ(), (byte)0, 0, getOwner().getInstanceId());
				AI2Actions.deleteOwner(this);
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
			}
			return true;
		}
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), dialogId, questId));
		return true;
	}

	@Override
	public int modifyDamage(int damage) {
		return 1;
	}
}
