/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.luna;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.Creature;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.skillengine.SkillEngine;

import ai.GeneralNpcAI2;


/**
 * @author 81002
 *
 */
@AIName("luna_static_heal")
public class LunaStaticHealAI2 extends GeneralNpcAI2 {

	private long time = 0;
	
	@Override
	protected void handleCreatureMoved(Creature creature) {
		if (!(creature instanceof Player)) {
			super.handleCreatureMoved(creature);
		}
		else {
			if (isInRange(creature, 1) && System.currentTimeMillis() - time >= 3000) {
				int skillId = getNpcId() == 703349 ? 11121 : 11171;
				SkillEngine.getInstance().getSkill(getOwner(), skillId, 65, creature).useNoAnimationSkill();
				time = System.currentTimeMillis();
			}
		}
	}
}
