/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.luna;

import ai.GeneralNpcAI2;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.instance.handlers.InstanceHandler;
import com.aionemu.gameserver.model.gameobjects.Creature;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.skillengine.SkillEngine;

/**
 * @author 81002
 */
@AIName("barricade")
public class Luna_Barricade extends GeneralNpcAI2 {
	
	@Override
	protected void handleAttack(Creature creature) {
	}
	
	@Override
	protected void handleCreatureMoved(Creature creature) {
		if (creature instanceof Player) {
			super.handleCreatureMoved(creature);
		}
		else {
			if (isInRange(creature, 10)) {
				int skillid = getNpcId() == 833863 ? 11115 : 11116;
				SkillEngine.getInstance().getSkill(getOwner(), skillid, 65, getOwner()).useNoAnimationSkill();
			}
		}
	}
	
	@Override
	protected void handleDied() {
		super.handleDied();
		InstanceHandler handler = getPosition().getWorldMapInstance().getInstanceHandler();
		handler.onCustomEventHandler(getNpcId());
	}
	
	@Override
	public boolean isMoveSupported() {
		return false;
	}
}
