/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.sauroSupplyBase;

import java.util.concurrent.Future;

import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.Creature;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.spawns.SpawnTemplate;
import com.aionemu.gameserver.spawnengine.SpawnEngine;
import com.aionemu.gameserver.utils.ThreadPoolManager;

import ai.GeneralNpcAI2;

/**
 * @author zxl001
 */
@AIName("flame_gun")
public class FlamegunAI2 extends GeneralNpcAI2 {

	private Npc boss;
	private Future<?> task;
	
	@Override
	protected void handleSpawned() {
		super.handleSpawned();
		boss = getPosition().getWorldMapInstance().getNpc(230851);
		spawnTask();
	}

	private void spawnTask() {
		task = ThreadPoolManager.getInstance().schedule(new Runnable() {
			@Override
			public void run() {
				if (boss.getTarget() == null)
					return;
				if (boss.getTarget() instanceof Player) {
					getOwner().getController().useSkill(21228, 57);
					Player target = (Player) (boss.getTarget());
					try{
						spawn(284454, target.getX(), target.getY(), target.getZ(), (byte) 0);
					}
					catch(Exception ex){}
				}
			}
		}, 5000);
	}
}
