/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.CustomBonus;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.stats.calc.functions.StatAddFunction;
import com.aionemu.gameserver.model.stats.container.StatEnum;
import com.aionemu.gameserver.network.aion.serverpackets.SM_STATS_INFO;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;

/**
 * @author zxl001
 */
public class AttrBonus extends GameUICommand {

	/**
	 * @param alias
	 */
	public AttrBonus() {
		super("attrbonus");
	}
	
	@Override
	public void execute(Player player, String... params) {
		String stat = params[0].toUpperCase();
		int value = Integer.parseInt(params[1]);
		StatEnum statEnum = getStatEnum(stat);
		if (statEnum != null) {
			CustomBonus c = new CustomBonus(new StatAddFunction(statEnum, value, true));
			player.getGameStats().addEffect(c, c.getStats());
			PacketSendUtility.sendPacket(player, new SM_STATS_INFO(player));
		}
		else {
			PacketSendUtility.sendMessage(player, "[ " + stat + " ] Not implemented!");
		}
	}
	
	private StatEnum getStatEnum(String value) {
		StatEnum statEnum = null;
		if (value.equalsIgnoreCase("SPEED"))
			statEnum = StatEnum.SPEED;
		if (value.equalsIgnoreCase("MAXHP"))
			statEnum = StatEnum.MAXHP;
		if (value.equalsIgnoreCase("HPREGEN"))
			statEnum = StatEnum.REGEN_HP;
		if (value.equalsIgnoreCase("MAXMP"))
			statEnum = StatEnum.MAXMP;
		if (value.equalsIgnoreCase("MPREGEN"))
			statEnum = StatEnum.REGEN_MP;
		if (value.equalsIgnoreCase("FLYSPEED"))
			statEnum = StatEnum.FLY_SPEED;
		if (value.equalsIgnoreCase("MAXFP"))
			statEnum = StatEnum.FLY_TIME;
		return statEnum;
	}
}
