/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.PersistentState;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.gameobjects.player.QuestStateList;
import com.aionemu.gameserver.network.aion.serverpackets.SM_QUEST_COMPLETED_LIST;
import com.aionemu.gameserver.questEngine.model.QuestState;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;

/**
 * @author zxl001
 */
public class DeleteQuest extends GameUICommand {

	/**
	 * @param alias
	 */
	public DeleteQuest() {
		super("deletecquest");
	}
	
	@Override
	public void execute(Player player, String... params) {
		int id = Integer.parseInt(params[0]);
		QuestStateList list = player.getQuestStateList();
		if (list != null) {
			QuestState qs = list.getQuestState(id);
			if (qs == null)
				return;
			qs.setQuestVar(0);
			qs.setCompleteCount(0);
			qs.setStatus(null);
			if (qs.getPersistentState() != PersistentState.NEW)
				qs.setPersistentState(PersistentState.DELETED);
			PacketSendUtility.sendPacket(player, new SM_QUEST_COMPLETED_LIST(player.getQuestStateList().getAllFinishedQuests()));
			player.getController().updateNearbyQuests();
		}
	}
}
