/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;

/**
 * @author zxl001
 */
public class PartyreCall extends GameUICommand {

	/**
	 * @param alias
	 */
	public PartyreCall() {
		super("partyrecall");
	}
	
	@Override
	public void execute(Player player, String... params) {
		
		if (!player.isInTeam()) {
			PacketSendUtility.sendMessage(player, "not in team.");
			return;
		}
		
		for (Player target : player.getCurrentTeam().getMembers()) {
			if (target != player) {
				TeleportService2.teleportTo(target, player.getWorldId(), player.getInstanceId(), player.getX(), player.getY(),
					player.getZ(), player.getHeading());
				PacketSendUtility.sendMessage(target, "You have been summoned by " + player.getName() + ".");
				PacketSendUtility.sendMessage(player, "You summon " + target.getName() + ".");
			}
		}
	}
}
