/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.VisibleObject;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_STATS_INFO;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;


/**
 * @author zxl001
 */
public class SetVitalpoint extends GameUICommand {

	/**
	 * @param alias
	 */
	public SetVitalpoint() {
		super("set_vitalpoint");
	}
	
	@Override
	public void execute(Player player, String... params) {
		VisibleObject target = player.getTarget();
		int value = Integer.parseInt(params[0]);
		if (target != null) {
			if (!(target instanceof Player))
				target = player;
			Player targetPlayer = (Player) target;
			targetPlayer.getCommonData().setCurrentReposteEnergy(value);
			PacketSendUtility.sendPacket(player, new SM_STATS_INFO(targetPlayer));
			return;
		}
		else {
			player.getCommonData().setCurrentReposteEnergy(value);
			PacketSendUtility.sendPacket(player, new SM_STATS_INFO(player));
		}
	}
}
