/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.dataholders.DataManager;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.NamePath;
import com.aionemu.gameserver.model.templates.PathType;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;


/**
 * @author Administrator
 *
 */
public class SkillPoint extends GameUICommand {

	/**
	 * @param alias
	 */
	public SkillPoint() {
		super("skillpoint");
	}

	@Override
	public void execute(Player player, String... params) {
		NamePath skills = DataManager.NAME_PATH_DATA.getNamePathForTypeId(PathType.SKILL.getId());
		int skillId = skills.getObjectId(params[0].toUpperCase());
		int point = Integer.parseInt(params[1]);
		if (skillId > 0) {
			player.getSkillList().addSkill(player, skillId, point);
		}
	}
}
