/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.dataholders.DataManager;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.teleport.TelelocationTemplate;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;

/**
 * @author zxl001
 */
public class TeleportTo extends GameUICommand {

	/**
	 * @param alias
	 */
	public TeleportTo() {
		super("teleportto");
	}
	
	@Override
	public void execute(Player player, String... params) {
		String worldName = params[0];
		TelelocationTemplate loc = null;
		try {
			int locid = Integer.parseInt(worldName);
			loc = DataManager.TELELOCATION_DATA.getTelelocationTemplate(locid);
		}
		catch(Exception e) {
			loc = DataManager.TELELOCATION_DATA.getTelelocationTemplate(worldName);
		}
		
		if (loc != null && loc.getX() > 1f && loc.getY() > 1f) {
			TeleportService2.teleportTo(player, loc.getMapId(), loc.getX(), loc.getY(), loc.getZ(), (byte)loc.getHeading(), TeleportAnimation.BEAM_ANIMATION);
		}
		else {
			// custom teleport
			if (worldName.equalsIgnoreCase("zone name")) {
				
			}
		}
	}
}
