/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package instance;

import java.util.HashMap;
import java.util.Map;

import javolution.util.FastList;

import com.aionemu.commons.utils.Rnd;
import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.Race;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.StaticDoor;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.world.WorldMapInstance;

/**
 * @author 81002
 */
@InstanceID(MapID = 301540000, InstanceMaskID = 0)
public class Instance_301540000 extends GeneralInstanceHandler {

	private boolean isSpawned = false;
	private boolean isOpenDoor = false;
	private Map<Integer, StaticDoor> doors;
	private Map<Integer, Npc> statics;

	@Override
	public void onDie(Npc npc) {
		int static_id = npc.getSpawn().getStaticId();
		statics.remove(static_id);
		Npc npc1 = null;
		switch(static_id) {
			case 636:
				if (!statics.containsKey(637))
					npc1 = statics.remove(638);
				break;
			case 637:
				if (!statics.containsKey(636))
					npc1 = statics.remove(638);
				break;
			case 641:
				if (!statics.containsKey(640))
					npc1 = statics.remove(639);
				break;
			case 640:
				if (!statics.containsKey(641))
					npc1 = statics.remove(639);
				break;
			case 644:
				if (!statics.containsKey(643))
					npc1 = statics.remove(642);
				break;
			case 643:
				if (!statics.containsKey(644))
					npc1 = statics.remove(642);
				break;
			case 646:
				if (!statics.containsKey(647))
					npc1 = statics.remove(645);
				break;
			case 647:
				if (!statics.containsKey(646))
					npc1 = statics.remove(645);
				break;
			case 649:
				if (!statics.containsKey(650))
					npc1 = statics.remove(648);
				break;
			case 650:
				if (!statics.containsKey(649))
					npc1 = statics.remove(648);
				break;
			case 652:
				if (!statics.containsKey(653))
					npc1 = statics.remove(651);
				break;
			case 653:
				if (!statics.containsKey(652))
					npc1 = statics.remove(651);
				break;
			case 655:
				if (!statics.containsKey(656))
					npc1 = statics.remove(654);
				break;
			case 656:
				if (!statics.containsKey(655))
					npc1 = statics.remove(654);
				break;
			case 658:
				if (!statics.containsKey(659))
					npc1 = statics.remove(657);
				break;
			case 659:
				if (!statics.containsKey(658))
					npc1 = statics.remove(657);
				break;
			case 661:
				if (!statics.containsKey(662))
					npc1 = statics.remove(660);
				break;
			case 662:
				if (!statics.containsKey(661))
					npc1 = statics.remove(660);
				break;
			case 676:
				if (!statics.containsKey(677))
					npc1 = statics.remove(675);
				break;
			case 677:
				if (!statics.containsKey(676))
					npc1 = statics.remove(675);
				break;
			case 673:
				if (!statics.containsKey(674))
					npc1 = statics.remove(672);
				break;
			case 674:
				if (!statics.containsKey(673))
					npc1 = statics.remove(672);
				break;
			case 678:
				if (!statics.containsKey(679))
					npc1 = statics.remove(680);
				break;
			case 679:
				if (!statics.containsKey(678))
					npc1 = statics.remove(680);
				break;
			case 670:
				if (!statics.containsKey(671))
					npc1 = statics.remove(669);
				break;
			case 671:
				if (!statics.containsKey(670))
					npc1 = statics.remove(669);
				break;
			case 667:
				if (!statics.containsKey(668))
					npc1 = statics.remove(666);
				break;
			case 668:
				if (!statics.containsKey(667))
					npc1 = statics.remove(666);
				break;
			case 664:
				if (!statics.containsKey(665))
					npc1 = statics.remove(663);
				break;
			case 665:
				if (!statics.containsKey(664))
					npc1 = statics.remove(663);
				break;
		}
		
		if (npc1 != null) {
			npc1.getController().delete();
		}
	}
	
	@Override
	public void onCustomEventHandler(int eventId, Object... objects) {
		if (isOpenDoor)
			return;
		isOpenDoor = true;
		FastList<Integer> ids = new FastList<Integer>();
		ids.add(349);
		ids.add(352);
		ids.add(359);
		Integer onlyId = ids.get(Rnd.get(0, ids.size() - 1));
		ids.remove(onlyId);
		int rnd = Rnd.get(100);
		if (rnd > 30) {
			doors.get(onlyId).setOpen(true);
			if (onlyId == 349)
				doors.get(374).setOpen(true);
			else if (onlyId == 352)
				doors.get(250).setOpen(true);
			else if (onlyId == 359)
				doors.get(278).setOpen(true);
		}
		else {
			for (Integer idInteger : ids) {
				doors.get(idInteger).setOpen(true);
				if (idInteger == 349)
					doors.get(374).setOpen(true);
				else if (idInteger == 352)
					doors.get(250).setOpen(true);
				else if (idInteger == 359)
					doors.get(278).setOpen(true);
			}
		}
	}
	
	@Override
	public void onEnterInstance(final Player player) {
		super.onEnterInstance(player);
		if (isSpawned)
			return;
		doors = instance.getDoors();
		int npcId1 = player.getRace() == Race.ASMODIANS ? 806149 : 806148;
		int npcId2 = player.getRace() == Race.ASMODIANS ? 806151 : 806150;
		spawn(npcId1, 738.4763f, 508.8677f, 469.0941f, (byte)0);
		spawn(npcId2, 721.0349f, 502.2894f, 468.9984f, (byte)10);
		spawn(npcId2, 737.4099f, 493.0394f, 468.9984f, (byte)30);
		spawn(npcId2, 720.9099f, 521.5394f, 468.9984f, (byte)110);
		spawn(npcId2, 737.2849f, 531.0394f, 468.9984f, (byte)90);
	}

	@Override
	public void onInstanceCreate(WorldMapInstance instance) {
		super.onInstanceCreate(instance);
		statics = new HashMap<Integer, Npc>();
		for(Npc npc : instance.getNpcs()) {
			if (npc.getSpawn().getStaticId() != 0) {
				statics.put(npc.getSpawn().getStaticId(), npc);
			}
		}
	}
	
	@Override
	public void onInstanceDestroy() {
		statics.clear();
		statics = null;
		isSpawned = false;
		isOpenDoor = false;
		doors.clear();
		doors = null;
	}
}
