/*
Aion-Finish <Ver:4.0>
 *
 *  Aion-Finish is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aion-Finish is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aion-Finish.  If not, see <http://www.gnu.org/licenses/>.
 */
package instance;

import java.util.List;

import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.world.WorldMapInstance;

/**
 * @author Ranastic
 */
@InstanceID(MapID = 300560000, InstanceMaskID = 339)
public class Shugo_Imperial_Tomb extends GeneralInstanceHandler {

	protected boolean isInstanceDestroyed = false;

	@Override
	public void onInstanceCreate(WorldMapInstance instance) {
		super.onInstanceCreate(instance);
		// spawn(831109, 177.75491f, 233.54138f, 536.16974f, (byte) 15); //Shugo Imperial Tomb RecordKeeper.
		spawn(831110, 177.75491f, 233.54138f, 536.16974f, (byte) 15); // Crown Prince's Admirer.
	}

	@Override
	public void handleUseItemFinish(Player player, Npc npc) {
		switch (npc.getNpcId()) {
			case 219483: // Wave Portal I.
				sendMsg(1401666);
				spawn(219478, 420.18304f, 426.01593f, 374.5875f, (byte) 78); // Ratman Gatherer.
				spawn(219478, 403.19623f, 423.62778f, 374.5875f, (byte) 101); // Ratman Gatherer.
				spawn(219478, 399.50418f, 395.88754f, 374.5875f, (byte) 17); // Ratman Gatherer.
				spawn(219478, 424.2045f, 400.81223f, 374.5875f, (byte) 43); // Ratman Gatherer.
				break;
			case 218484: // Wave Portal II.
				spawn(219479, 420.18304f, 426.01593f, 374.5875f, (byte) 78); // Ratman Warrior.
				spawn(219479, 403.19623f, 423.62778f, 374.5875f, (byte) 101); // Ratman Warrior.
				spawn(219479, 399.50418f, 395.88754f, 374.5875f, (byte) 17); // Ratman Warrior.
				spawn(219479, 424.2045f, 400.81223f, 374.5875f, (byte) 43); // Ratman Warrior.
				break;
			case 218485: // Wave Portal III.
				spawn(219480, 420.18304f, 426.01593f, 374.5875f, (byte) 78); // Ratman Scout.
				spawn(219480, 403.19623f, 423.62778f, 374.5875f, (byte) 101); // Ratman Scout.
				spawn(219480, 399.50418f, 395.88754f, 374.5875f, (byte) 17); // Ratman Scout.
				spawn(219480, 424.2045f, 400.81223f, 374.5875f, (byte) 43); // Ratman Scout.
				break;
			case 218486: // Wave Portal IV.
				spawn(219481, 420.18304f, 426.01593f, 374.5875f, (byte) 78); // Lycan Warrior.
				spawn(219481, 403.19623f, 423.62778f, 374.5875f, (byte) 101); // Lycan Warrior.
				spawn(219481, 399.50418f, 395.88754f, 374.5875f, (byte) 17); // Lycan Warrior.
				spawn(219481, 424.2045f, 400.81223f, 374.5875f, (byte) 43); // Lycan Warrior.
				break;
		}
	}

	@Override
	public void onDie(Npc npc) {
		switch (npc.getObjectTemplate().getTemplateId()) {
			case 219468: // Fungus.
			case 219469: // Fungy.
				despawnNpc(npc);
				sendMsg(1401586);
				if (getNpcs(219468).isEmpty() && // Fungus.
					getNpcs(219469).isEmpty()) { // Fungy.
					sendMsg(1401585);
					spawn(219470, 334.02423f, 432.39493f, 294.76016f, (byte) 56); // Brax.
					spawn(219470, 332.06616f, 423.65768f, 294.7601f, (byte) 55); // Brax.
					spawn(219471, 348.7215f, 428.9514f, 294.76022f, (byte) 56); // Brax.
					spawn(219471, 346.54214f, 420.23975f, 294.76013f, (byte) 56); // Brax.
				}
				break;
			case 219470: // Brax.
			case 219471: // Brax.
				despawnNpc(npc);
				if (getNpcs(219470).isEmpty() && // Brax.
					getNpcs(219471).isEmpty()) { // Brax.
					spawn(219472, 334.02423f, 432.39493f, 294.76016f, (byte) 56); // Zaif.
					spawn(219472, 332.06616f, 423.65768f, 294.7601f, (byte) 55); // Zaif.
					spawn(219473, 348.7215f, 428.9514f, 294.76022f, (byte) 56); // Kalnif.
					spawn(219473, 346.54214f, 420.23975f, 294.76013f, (byte) 56); // Kalnif.
				}
				break;
			case 219472: // Zaif.
			case 219473: // Kalnif.
				despawnNpc(npc);
				sendMsg(1401664);
				if (getNpcs(219472).isEmpty() && // Zaif.
					getNpcs(219473).isEmpty()) { // Kalnif.
					spawn(219474, 334.02423f, 432.39493f, 294.76016f, (byte) 56); // Muta.
					spawn(219474, 332.06616f, 423.65768f, 294.7601f, (byte) 55); // Muta.
					spawn(219475, 348.7215f, 428.9514f, 294.76022f, (byte) 56); // Muta.
					spawn(219475, 346.54214f, 420.23975f, 294.76013f, (byte) 56); // Muta.
				}
				break;
			case 219474: // Muta.
			case 219475: // Muta.
				despawnNpc(npc);
				sendMsg(1401665);
				if (getNpcs(219474).isEmpty() && // Muta.
					getNpcs(219475).isEmpty()) { // Muta.
					spawn(219476, 334.02423f, 432.39493f, 294.76016f, (byte) 56); // Daru.
					spawn(219476, 332.06616f, 423.65768f, 294.7601f, (byte) 55); // Daru.
					spawn(219477, 348.7215f, 428.9514f, 294.76022f, (byte) 56); // Fethlot.
					spawn(219477, 346.54214f, 420.23975f, 294.76013f, (byte) 56); // Fethlot.
				}
				break;
			case 219476: // Daru.
			case 219477: // Fethlot.
				despawnNpc(npc);
				if (getNpcs(219474).isEmpty() && // Muta.
					getNpcs(219475).isEmpty()) { // Muta.
					spawn(831113, 325.19702f, 429.43137f, 294.58875f, (byte) 56); // Shugo Imperial Tomb RecordKeeper.
				}
				break;
			case 219478: // Ratman Gatherer.
				despawnNpc(npc);
				if (getNpcs(219478).isEmpty()) {
					spawn(219484, 410.8536f, 411.2721f, 376.33743f, (byte) 0);
				}
				break;
			case 219479: // Ratman Warrior.
				despawnNpc(npc);
				if (getNpcs(219479).isEmpty()) {
					spawn(219485, 410.8536f, 411.2721f, 376.33743f, (byte) 0);
				}
				break;
			case 219480: // Ratman Scout.
				despawnNpc(npc);
				if (getNpcs(219480).isEmpty()) {
					spawn(219486, 410.8536f, 411.2721f, 376.33743f, (byte) 0);
				}
				break;
			case 219481: // Lycan Warrior.
				despawnNpc(npc);
				if (getNpcs(219481).isEmpty()) {
					spawn(831110, 410.8536f, 411.2721f, 376.33743f, (byte) 0);
				}
				break;
			case 219487: // Krall Keeper.
				despawnNpc(npc);
				if (getNpcs(219487).isEmpty()) {
					spawn(219489, 101.958855f, 52.92559f, 618.24347f, (byte) 111);
				}
				break;
			case 219489: // Lycan Warrior.
				despawnNpc(npc);
				if (getNpcs(219489).isEmpty()) {
					spawn(219491, 101.958855f, 52.92559f, 618.24347f, (byte) 111);
				}
				break;
			case 219491: // Lycan Warrior.
				despawnNpc(npc);
				if (getNpcs(219491).isEmpty()) {
					// spawn(831195, 101.958855f, 52.92559f, 618.24347f, (byte) 111); //Stage 3 End.
					spawn(831350, 177.5584f, 233.51491f, 536.16974f, (byte) 74);
					spawn(831118, 218.27634f, 287.41388f, 550.68805f, (byte) 74);
				}
				break;
		}
	}

	protected void sendMsg(int msg, int Obj, int color) {
		sendMsg(msg, Obj, false, color);
	}

	protected List<Npc> getNpcs(int npcId) {
		if (!isInstanceDestroyed) {
			return instance.getNpcs(npcId);
		}
		return null;
	}

	protected void despawnNpc(Npc npc) {
		if (npc != null) {
			npc.getController().onDelete();
		}
	}

	protected void despawnNpcs(List<Npc> npcs) {
		for (Npc npc : npcs) {
			npc.getController().onDelete();
		}
	}
}
