/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package instance.eventinstance;

import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.instance.DredgionService2;
import com.aionemu.gameserver.services.item.ItemService;

import instance.dredgion2.TerathDredgionInstance2;

/**
 * @author zxl001
 */
@InstanceID(MapID = 300440000, InstanceMaskID = 803)
public class CustomDredgionInstance extends TerathDredgionInstance2 {

	@Override
	public void doReward() {
		for (Player player : instance.getPlayersInside()) {
			if (player.getRace().equals(dredgionReward.getWinningRace())) {
				ItemService.addItem(player, 188061004, 1);
			}
		}
		super.doReward();
	}
	
	@Override
	public void onLeaveInstance(Player player) {
		super.onLeaveInstance(player);
		DredgionService2.getInstance().onPlayerLogin(player);
	}
}
