/*
 * This file is part of aion-lightning <aion-lightning.org>
 *
 * aion-lightning is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * aion-lightning is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with aion-lightning. If not, see <http://www.gnu.org/licenses/>.
 */
package instance.steelrosecargo;

import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_SYSTEM_MESSAGE;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * Author zxl001
 **/
@InstanceID(MapID = 301030000, InstanceMaskID = 0)
public class Steel_Rose_Cargo_Group extends GeneralInstanceHandler {

	private boolean deletekey1 = false;
	private boolean deletekey2 = false;

	@Override
	public void handleUseItemFinish(Player player, Npc npc) {
		
		switch (npc.getNpcId()) {
			case 730763:
				if (!deletekey1) {
					if (player.getInventory().decreaseByItemId(185000156, 1))
						deletekey1 = true;
					else {
						PacketSendUtility.sendPacket(player, SM_SYSTEM_MESSAGE.STR_CANNOT_OPEN_DOOR_NEED_KEY_ITEM);
						break;
					}
				}
				TeleportService2.teleportTo(player, 301030000, 662.0874f, 509.21466f, 867.7978f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
				break;
			case 730767:
				if (!deletekey2) {
					if (player.getInventory().decreaseByItemId(185000155, 1))
						deletekey2 = true;
					else {
						PacketSendUtility.sendPacket(player, SM_SYSTEM_MESSAGE.STR_CANNOT_OPEN_DOOR_NEED_KEY_ITEM);
						break;
					}
				}
				TeleportService2.teleportTo(player, 301030000, 461.90588f, 489.90378f, 877.6181f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
				break;
			case 730768:
				TeleportService2.teleportTo(player, 301030000, 461.5f, 485.0f, 877.8f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
				break;
		}
	}
}
