/*
 * This file is part of NextGenCore <Ver:3.7>.
 *
 *  NextGenCore is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  NextGenCore is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with NextGenCore. If not, see <http://www.gnu.org/licenses/>.
 *
 */
package playercommands;

import java.util.List;

import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.ingameshop.InGameShopEn;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.PlayerCommand;

/**
 * @author zxl001
 */
public class Exchange2 extends PlayerCommand {

	public Exchange2() {
		super("ex");

	}

	@Override
	public void execute(Player player, String... params) {
		
		if (params.length != 1) {
			PacketSendUtility.sendMessage(player, "need Input ExchargeToll num");
			return;
		}
		
		long count;
		try {
			count = Long.parseLong(params[0]);
			if (count < 1 || count > 10000) {
				return;
			}
		}
		catch(Exception e) {
			PacketSendUtility.sendMessage(player, "The number is only digital");
			return;
		}
		
		List<Item> items = player.getInventory().getItemsByItemId(186000230);
		
		long itemCount = 0;
		
		for (Item item : items) {
			itemCount += item.getItemCount();
		}
		
		if (itemCount < count) {
			PacketSendUtility.sendMessage(player, "There is not enough cash coinage");
			return;
		}
		int buyCount = 0;
		for (Item item : items) {
			if (count <= 0)
				break;
			if (item.getItemCount() >= count) {
				player.getInventory().decreaseByObjectId(item.getObjectId(), count);
				buyCount += count;
				count = 0;
				break;
			}
			else {
				count -= item.getItemCount();
				buyCount += item.getItemCount();
				player.getInventory().decreaseByObjectId(item.getObjectId(), item.getItemCount());
			}
		}
		InGameShopEn.getInstance().addToll(player, buyCount);
		PacketSendUtility.sendMessage(player, "success!");
	}
}
